package remote;

import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Frame;
import java.awt.Label;
import java.awt.Panel;

class InputDeviceControlPanel extends Frame {

	InputDeviceControlPanel(InputDeviceEngine ie) {
		setResizable(false);
		setTitle("InputDevice");
		setFont(new Font("Helvetica", Font.PLAIN, 14));
		setLayout(new BorderLayout(4, 4));

		Panel p1 = new Panel();
		p1.setLayout(new FlowLayout(FlowLayout.LEFT, 10, 10));
		p1.add(new InputDeviceInformation(ie));
		p1.add(new InputDeviceDisplay(ie));
		add(p1, "North");

		add("West", new Label(""));
		add("East", new Label(""));

		add("Center", new InputDeviceKeypad(ie));

		pack();
	}
}