package sopra;

import java.util.Date;

public class Order {
	/** Erfassungsdatum mit Zeit (hh:mm:ss)*/
	public Date orderTime;

	/** Identifiziert den Agenten eindeutig*/
	public int agent;

	/** Identifiziert den Bestellort (Tisch, Gast) eindeutig*/
	public float origin;

	/** Bestellte Elemente */
	public int[] orderItems;

	public Order newInstance() {
		return new Order();
	}

	public void setAgent(int anAgent) {
		this.agent = anAgent;
	}
	
	public void setOrderTime(Date anOrderTime) {
		this.orderTime = anOrderTime;
	}
	
	public void setOrigin(float anOrigin) {
		this.origin = anOrigin;
	}
	
	public void setOrderItems(int[] nOrderItems) {
		this.orderItems = (int[]) nOrderItems.clone();
	}

	public int orderItemAt(int index) {
		return orderItems[index];
	}
}
