package remote;

/**-----------------------------------------------------------------------------------
@author		Nancy Schett (NS)
@java			Java v1.1.x - Metroworks CodeWarrior Pro 5, IDE4.04 
@project		Software-Praktikum
@copyright	Forschungsgruppe Requirements Engineering,
				Institut fuer Informatik, Universitaet Zuerich
@class		InputDeviceControlPanel
@version		1.0	-	NS, 16-April-2000; erste Version
--------------------------------------------------------------------------------------
*/
/** <BR>
Intention: Dient der Kommunikation zwischen Model [InputDeviceEngine] und Controller
[InputDeviceKeyPad]. Reprsentiert die Operationen, welche von der Engine 
durchgefhrt werden knnen und kapselt deren eigentliche Realisierung. <BR>

Responsabilites:<BR>.
@see		InputDeviceEngine
@see		InputDeviceKeyPad*/

class Op
	{
	
	// Klassenvariablen
	
	// Instanzvariablen
	private String op;			 /** Speichert den aktuellen Zustand der Engine*/
	
	private String stateString; /** Speichert den Status des Stack als String*/
	
	// Konstruktoren
	
	/**	Post:	Erzeugt und initialisiert ein Op-Objekt. <BR>
		Prec:	[op] <> null

	@param	op 	zu reprsentierende Operation (siehe Klassenvariablen).
	@init	SB, 19-Mrz-1998
	@curr	SB, 19-Mrz-1998 */
	public Op( String op, String stateString )
		{
		this.op = op;
		this.stateString = stateString;
		}
		
	// Klassenmethoden
	// Instanzmethoden
	/**	Post:	Antwortet mit der Operation, welche das Objekt reprsentiert. <BR>
		Prec:	-

	@init	SB, 19-Mrz-1998
	@curr	SB, 19-Mrz-1998 */
	String op()
		{
		return this.op;
		}
	
	String stateString()
		{
		return this.stateString;
		}
	}
	
	
