package sopra;

import java.util.Observable;

public class Timer extends Observable implements Runnable
{
    /** Exemplar des Timers (es darf nur eines geben)*/
    private static Timer exemplar = null; 
	
    /** Zeitdauer in ms, welche der Timer schlafen soll*/
    private int sleepTime = 0;	
    
    /** Thread, der aktiv ist */	
    private Thread thread;			
	
    private Timer( int aSleepTime )
    { this.sleepTime( aSleepTime ); }
	
    public static Timer start( int aSleepTime )
    {
	if ( exemplar == null )
	    {
		exemplar = new Timer( aSleepTime );
		return exemplar;
	    }
	return exemplar;
    }
		
    private void sleepTime( int anInteger)
    { this.sleepTime = anInteger; }	
		
    private int sleepTime()
    { return this.sleepTime; }
		
    public void notifyObservers()
    {
	setChanged();
	System.out.println("Timer notifys Observer");
	super.notifyObservers( null );
    }

    public void run()
    {
	System.out.println("timer initialisiert");
	Thread thisThread = new MyThread(this);
	thisThread.start();
	
    }


    public class MyThread extends Thread {
	private Timer t;

	public MyThread(Timer t) {
	    this.t = t;
	}


	public void run()
	{
	    System.out.println("timer initialisiert");
		
	    while( true  )
		{
		    try
			{
			    Thread.sleep( t.sleepTime() );
			    t.notifyObservers();
			    System.out.println("NotifyObservers");
			}
		    catch(InterruptedException e)
			{
			    System.out.println( e );
			}
		}
	}
	
    }


}