package remote;

import java.awt.Point;
import util.WindowCloseController;

public class InputDevice {
	private InputDeviceControlPanel ip;
	
	/* speichert den ControlPanel (nur wegen WindowClosing)*/
	public static InputDevice newInstance() {
		return new InputDevice();
	}
	
	private InputDevice() {
		this.start();
	}
	
	private void start() {
		// Taschenrechnerteile erzeugen und Rechner zusammensetzen
		// Model erzeugen
		InputDeviceEngine ie = new InputDeviceEngine();
		// View und Controller fr Model erzeugen
		this.ip = new InputDeviceControlPanel(ie);
		// positionieren und anzeigen
		this.ip.setLocation(new Point(50, 50));
		this.ip.show();
		new WindowCloseController(ip);
	}
	
	public void stop() {
		this.ip.dispose();
	}
	
	public static void main(String args[]) {
		InputDevice.newInstance();
	}
}