package util;

import java.awt.Window;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class WindowCloseController extends WindowAdapter {
	/** Das zu steuernde Fenster */
	final protected Window controlledWindow;

	public WindowCloseController(Window windowToControl) {
		this.controlledWindow = windowToControl;
		this.controlledWindow.addWindowListener(this);
	}

	public void windowClosing(WindowEvent anEvent) {
		if (anEvent.getWindow() == controlledWindow) {
			// Absender = zu steuerndes Fenster, dann Fenster schliessen
			controlledWindow.setVisible(false);
			controlledWindow.dispose();
		}
	}

}
